org.apache.tapestry5.internal

## Class BeanValidationContextImpl

- java.lang.Object
- - org.apache.tapestry5.internal.BeanValidationContextImpl

- All Implemented Interfaces:
    BeanValidationContext

      public class BeanValidationContextImpl
      extends Object
      implements BeanValidationContext

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanValidationContextImpl(Object bean)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getBeanInstance()` Return the object to validate.
    `Class` | `getBeanType()` Returns the type of the object to validate.
    `String` | `getCurrentProperty()` Returns name of the property to validate.
    `void` | `setCurrentProperty(String propertyName)` Sets name of the property to validate.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanValidationContextImpl

          public BeanValidationContextImpl(Object bean)

  - ### Method Detail

    - #### getBeanType

          public Class getBeanType()

      Description copied from interface: `BeanValidationContext`
      Returns the type of the object to validate. This method is needed for client side validation.
      Specified by:
        `getBeanType` in interface `BeanValidationContext`

    - #### getBeanInstance

          public Object getBeanInstance()

      Description copied from interface: `BeanValidationContext`
      Return the object to validate.
      Specified by:
        `getBeanInstance` in interface `BeanValidationContext`

    - #### getCurrentProperty

          public String getCurrentProperty()

      Description copied from interface: `BeanValidationContext`
      Returns name of the property to validate. The current name is overwritten by every form field.
      Specified by:
        `getCurrentProperty` in interface `BeanValidationContext`

    - #### setCurrentProperty

          public void setCurrentProperty(String propertyName)

      Description copied from interface: `BeanValidationContext`
      Sets name of the property to validate.
      Specified by:
        `setCurrentProperty` in interface `BeanValidationContext`
      Parameters:
        `propertyName` - name of the property

5.6.0 - Copyright © 2003-2020 The Apache Software Foundation.